--- old/usr/src/uts/common/io/aac/aac.c	sam. juil. 16 15:15:05 2016
+++ new/usr/src/uts/common/io/aac/aac.c	sam. juil. 16 15:15:05 2016
@@ -468,8 +468,7 @@
 
 static struct modlinkage aac_modlinkage = {
 	MODREV_1,
-	&aac_modldrv,
-	NULL
+	{ &aac_modldrv, NULL }
 };
 
 static struct aac_softstate  *aac_softstatep;
@@ -7541,403 +7540,403 @@
 /* -------------------------debug aid functions-------------------------- */
 
 #define	AAC_FIB_CMD_KEY_STRINGS \
-	TestCommandResponse, "TestCommandResponse", \
-	TestAdapterCommand, "TestAdapterCommand", \
-	LastTestCommand, "LastTestCommand", \
-	ReinitHostNormCommandQueue, "ReinitHostNormCommandQueue", \
-	ReinitHostHighCommandQueue, "ReinitHostHighCommandQueue", \
-	ReinitHostHighRespQueue, "ReinitHostHighRespQueue", \
-	ReinitHostNormRespQueue, "ReinitHostNormRespQueue", \
-	ReinitAdapNormCommandQueue, "ReinitAdapNormCommandQueue", \
-	ReinitAdapHighCommandQueue, "ReinitAdapHighCommandQueue", \
-	ReinitAdapHighRespQueue, "ReinitAdapHighRespQueue", \
-	ReinitAdapNormRespQueue, "ReinitAdapNormRespQueue", \
-	InterfaceShutdown, "InterfaceShutdown", \
-	DmaCommandFib, "DmaCommandFib", \
-	StartProfile, "StartProfile", \
-	TermProfile, "TermProfile", \
-	SpeedTest, "SpeedTest", \
-	TakeABreakPt, "TakeABreakPt", \
-	RequestPerfData, "RequestPerfData", \
-	SetInterruptDefTimer, "SetInterruptDefTimer", \
-	SetInterruptDefCount, "SetInterruptDefCount", \
-	GetInterruptDefStatus, "GetInterruptDefStatus", \
-	LastCommCommand, "LastCommCommand", \
-	NuFileSystem, "NuFileSystem", \
-	UFS, "UFS", \
-	HostFileSystem, "HostFileSystem", \
-	LastFileSystemCommand, "LastFileSystemCommand", \
-	ContainerCommand, "ContainerCommand", \
-	ContainerCommand64, "ContainerCommand64", \
-	ClusterCommand, "ClusterCommand", \
-	ScsiPortCommand, "ScsiPortCommand", \
-	ScsiPortCommandU64, "ScsiPortCommandU64", \
-	AifRequest, "AifRequest", \
-	CheckRevision, "CheckRevision", \
-	FsaHostShutdown, "FsaHostShutdown", \
-	RequestAdapterInfo, "RequestAdapterInfo", \
-	IsAdapterPaused, "IsAdapterPaused", \
-	SendHostTime, "SendHostTime", \
-	LastMiscCommand, "LastMiscCommand"
+	{TestCommandResponse, "TestCommandResponse"}, \
+	{TestAdapterCommand, "TestAdapterCommand"}, \
+	{LastTestCommand, "LastTestCommand"}, \
+	{ReinitHostNormCommandQueue, "ReinitHostNormCommandQueue"}, \
+	{ReinitHostHighCommandQueue, "ReinitHostHighCommandQueue"}, \
+	{ReinitHostHighRespQueue, "ReinitHostHighRespQueue"}, \
+	{ReinitHostNormRespQueue, "ReinitHostNormRespQueue"}, \
+	{ReinitAdapNormCommandQueue, "ReinitAdapNormCommandQueue"}, \
+	{ReinitAdapHighCommandQueue, "ReinitAdapHighCommandQueue"}, \
+	{ReinitAdapHighRespQueue, "ReinitAdapHighRespQueue"}, \
+	{ReinitAdapNormRespQueue, "ReinitAdapNormRespQueue"}, \
+	{InterfaceShutdown, "InterfaceShutdown"}, \
+	{DmaCommandFib, "DmaCommandFib"}, \
+	{StartProfile, "StartProfile"}, \
+	{TermProfile, "TermProfile"}, \
+	{SpeedTest, "SpeedTest"}, \
+	{TakeABreakPt, "TakeABreakPt"}, \
+	{RequestPerfData, "RequestPerfData"}, \
+	{SetInterruptDefTimer, "SetInterruptDefTimer"}, \
+	{SetInterruptDefCount, "SetInterruptDefCount"}, \
+	{GetInterruptDefStatus, "GetInterruptDefStatus"}, \
+	{LastCommCommand, "LastCommCommand"}, \
+	{NuFileSystem, "NuFileSystem"}, \
+	{UFS, "UFS"}, \
+	{HostFileSystem, "HostFileSystem"}, \
+	{LastFileSystemCommand, "LastFileSystemCommand"}, \
+	{ContainerCommand, "ContainerCommand"}, \
+	{ContainerCommand64, "ContainerCommand64"}, \
+	{ClusterCommand, "ClusterCommand"}, \
+	{ScsiPortCommand, "ScsiPortCommand"}, \
+	{ScsiPortCommandU64, "ScsiPortCommandU64"}, \
+	{AifRequest, "AifRequest"}, \
+	{CheckRevision, "CheckRevision"}, \
+	{FsaHostShutdown, "FsaHostShutdown"}, \
+	{RequestAdapterInfo, "RequestAdapterInfo"}, \
+	{IsAdapterPaused, "IsAdapterPaused"}, \
+	{SendHostTime, "SendHostTime"}, \
+	{LastMiscCommand, "LastMiscCommand"}
 
 #define	AAC_CTVM_SUBCMD_KEY_STRINGS \
-	VM_Null, "VM_Null", \
-	VM_NameServe, "VM_NameServe", \
-	VM_ContainerConfig, "VM_ContainerConfig", \
-	VM_Ioctl, "VM_Ioctl", \
-	VM_FilesystemIoctl, "VM_FilesystemIoctl", \
-	VM_CloseAll, "VM_CloseAll", \
-	VM_CtBlockRead, "VM_CtBlockRead", \
-	VM_CtBlockWrite, "VM_CtBlockWrite", \
-	VM_SliceBlockRead, "VM_SliceBlockRead", \
-	VM_SliceBlockWrite, "VM_SliceBlockWrite", \
-	VM_DriveBlockRead, "VM_DriveBlockRead", \
-	VM_DriveBlockWrite, "VM_DriveBlockWrite", \
-	VM_EnclosureMgt, "VM_EnclosureMgt", \
-	VM_Unused, "VM_Unused", \
-	VM_CtBlockVerify, "VM_CtBlockVerify", \
-	VM_CtPerf, "VM_CtPerf", \
-	VM_CtBlockRead64, "VM_CtBlockRead64", \
-	VM_CtBlockWrite64, "VM_CtBlockWrite64", \
-	VM_CtBlockVerify64, "VM_CtBlockVerify64", \
-	VM_CtHostRead64, "VM_CtHostRead64", \
-	VM_CtHostWrite64, "VM_CtHostWrite64", \
-	VM_NameServe64, "VM_NameServe64"
+	{VM_Null, "VM_Null"}, \
+	{VM_NameServe, "VM_NameServe"}, \
+	{VM_ContainerConfig, "VM_ContainerConfig"}, \
+	{VM_Ioctl, "VM_Ioctl"}, \
+	{VM_FilesystemIoctl, "VM_FilesystemIoctl"}, \
+	{VM_CloseAll, "VM_CloseAll"}, \
+	{VM_CtBlockRead, "VM_CtBlockRead"}, \
+	{VM_CtBlockWrite, "VM_CtBlockWrite"}, \
+	{VM_SliceBlockRead, "VM_SliceBlockRead"}, \
+	{VM_SliceBlockWrite, "VM_SliceBlockWrite"}, \
+	{VM_DriveBlockRead, "VM_DriveBlockRead"}, \
+	{VM_DriveBlockWrite, "VM_DriveBlockWrite"}, \
+	{VM_EnclosureMgt, "VM_EnclosureMgt"}, \
+	{VM_Unused, "VM_Unused"}, \
+	{VM_CtBlockVerify, "VM_CtBlockVerify"}, \
+	{VM_CtPerf, "VM_CtPerf"}, \
+	{VM_CtBlockRead64, "VM_CtBlockRead64"}, \
+	{VM_CtBlockWrite64, "VM_CtBlockWrite64"}, \
+	{VM_CtBlockVerify64, "{VM_CtBlockVerify64"}, \
+	{VM_CtHostRead64, "VM_CtHostRead64"}, \
+	{VM_CtHostWrite64, "VM_CtHostWrite64"}, \
+	{VM_NameServe64, "VM_NameServe64"}
 
 #define	AAC_CT_SUBCMD_KEY_STRINGS \
-	CT_Null, "CT_Null", \
-	CT_GET_SLICE_COUNT, "CT_GET_SLICE_COUNT", \
-	CT_GET_PARTITION_COUNT, "CT_GET_PARTITION_COUNT", \
-	CT_GET_PARTITION_INFO, "CT_GET_PARTITION_INFO", \
-	CT_GET_CONTAINER_COUNT, "CT_GET_CONTAINER_COUNT", \
-	CT_GET_CONTAINER_INFO_OLD, "CT_GET_CONTAINER_INFO_OLD", \
-	CT_WRITE_MBR, "CT_WRITE_MBR", \
-	CT_WRITE_PARTITION, "CT_WRITE_PARTITION", \
-	CT_UPDATE_PARTITION, "CT_UPDATE_PARTITION", \
-	CT_UNLOAD_CONTAINER, "CT_UNLOAD_CONTAINER", \
-	CT_CONFIG_SINGLE_PRIMARY, "CT_CONFIG_SINGLE_PRIMARY", \
-	CT_READ_CONFIG_AGE, "CT_READ_CONFIG_AGE", \
-	CT_WRITE_CONFIG_AGE, "CT_WRITE_CONFIG_AGE", \
-	CT_READ_SERIAL_NUMBER, "CT_READ_SERIAL_NUMBER", \
-	CT_ZERO_PAR_ENTRY, "CT_ZERO_PAR_ENTRY", \
-	CT_READ_MBR, "CT_READ_MBR", \
-	CT_READ_PARTITION, "CT_READ_PARTITION", \
-	CT_DESTROY_CONTAINER, "CT_DESTROY_CONTAINER", \
-	CT_DESTROY2_CONTAINER, "CT_DESTROY2_CONTAINER", \
-	CT_SLICE_SIZE, "CT_SLICE_SIZE", \
-	CT_CHECK_CONFLICTS, "CT_CHECK_CONFLICTS", \
-	CT_MOVE_CONTAINER, "CT_MOVE_CONTAINER", \
-	CT_READ_LAST_DRIVE, "CT_READ_LAST_DRIVE", \
-	CT_WRITE_LAST_DRIVE, "CT_WRITE_LAST_DRIVE", \
-	CT_UNMIRROR, "CT_UNMIRROR", \
-	CT_MIRROR_DELAY, "CT_MIRROR_DELAY", \
-	CT_GEN_MIRROR, "CT_GEN_MIRROR", \
-	CT_GEN_MIRROR2, "CT_GEN_MIRROR2", \
-	CT_TEST_CONTAINER, "CT_TEST_CONTAINER", \
-	CT_MOVE2, "CT_MOVE2", \
-	CT_SPLIT, "CT_SPLIT", \
-	CT_SPLIT2, "CT_SPLIT2", \
-	CT_SPLIT_BROKEN, "CT_SPLIT_BROKEN", \
-	CT_SPLIT_BROKEN2, "CT_SPLIT_BROKEN2", \
-	CT_RECONFIG, "CT_RECONFIG", \
-	CT_BREAK2, "CT_BREAK2", \
-	CT_BREAK, "CT_BREAK", \
-	CT_MERGE2, "CT_MERGE2", \
-	CT_MERGE, "CT_MERGE", \
-	CT_FORCE_ERROR, "CT_FORCE_ERROR", \
-	CT_CLEAR_ERROR, "CT_CLEAR_ERROR", \
-	CT_ASSIGN_FAILOVER, "CT_ASSIGN_FAILOVER", \
-	CT_CLEAR_FAILOVER, "CT_CLEAR_FAILOVER", \
-	CT_GET_FAILOVER_DATA, "CT_GET_FAILOVER_DATA", \
-	CT_VOLUME_ADD, "CT_VOLUME_ADD", \
-	CT_VOLUME_ADD2, "CT_VOLUME_ADD2", \
-	CT_MIRROR_STATUS, "CT_MIRROR_STATUS", \
-	CT_COPY_STATUS, "CT_COPY_STATUS", \
-	CT_COPY, "CT_COPY", \
-	CT_UNLOCK_CONTAINER, "CT_UNLOCK_CONTAINER", \
-	CT_LOCK_CONTAINER, "CT_LOCK_CONTAINER", \
-	CT_MAKE_READ_ONLY, "CT_MAKE_READ_ONLY", \
-	CT_MAKE_READ_WRITE, "CT_MAKE_READ_WRITE", \
-	CT_CLEAN_DEAD, "CT_CLEAN_DEAD", \
-	CT_ABORT_MIRROR_COMMAND, "CT_ABORT_MIRROR_COMMAND", \
-	CT_SET, "CT_SET", \
-	CT_GET, "CT_GET", \
-	CT_GET_NVLOG_ENTRY, "CT_GET_NVLOG_ENTRY", \
-	CT_GET_DELAY, "CT_GET_DELAY", \
-	CT_ZERO_CONTAINER_SPACE, "CT_ZERO_CONTAINER_SPACE", \
-	CT_GET_ZERO_STATUS, "CT_GET_ZERO_STATUS", \
-	CT_SCRUB, "CT_SCRUB", \
-	CT_GET_SCRUB_STATUS, "CT_GET_SCRUB_STATUS", \
-	CT_GET_SLICE_INFO, "CT_GET_SLICE_INFO", \
-	CT_GET_SCSI_METHOD, "CT_GET_SCSI_METHOD", \
-	CT_PAUSE_IO, "CT_PAUSE_IO", \
-	CT_RELEASE_IO, "CT_RELEASE_IO", \
-	CT_SCRUB2, "CT_SCRUB2", \
-	CT_MCHECK, "CT_MCHECK", \
-	CT_CORRUPT, "CT_CORRUPT", \
-	CT_GET_TASK_COUNT, "CT_GET_TASK_COUNT", \
-	CT_PROMOTE, "CT_PROMOTE", \
-	CT_SET_DEAD, "CT_SET_DEAD", \
-	CT_CONTAINER_OPTIONS, "CT_CONTAINER_OPTIONS", \
-	CT_GET_NV_PARAM, "CT_GET_NV_PARAM", \
-	CT_GET_PARAM, "CT_GET_PARAM", \
-	CT_NV_PARAM_SIZE, "CT_NV_PARAM_SIZE", \
-	CT_COMMON_PARAM_SIZE, "CT_COMMON_PARAM_SIZE", \
-	CT_PLATFORM_PARAM_SIZE, "CT_PLATFORM_PARAM_SIZE", \
-	CT_SET_NV_PARAM, "CT_SET_NV_PARAM", \
-	CT_ABORT_SCRUB, "CT_ABORT_SCRUB", \
-	CT_GET_SCRUB_ERROR, "CT_GET_SCRUB_ERROR", \
-	CT_LABEL_CONTAINER, "CT_LABEL_CONTAINER", \
-	CT_CONTINUE_DATA, "CT_CONTINUE_DATA", \
-	CT_STOP_DATA, "CT_STOP_DATA", \
-	CT_GET_PARTITION_TABLE, "CT_GET_PARTITION_TABLE", \
-	CT_GET_DISK_PARTITIONS, "CT_GET_DISK_PARTITIONS", \
-	CT_GET_MISC_STATUS, "CT_GET_MISC_STATUS", \
-	CT_GET_CONTAINER_PERF_INFO, "CT_GET_CONTAINER_PERF_INFO", \
-	CT_GET_TIME, "CT_GET_TIME", \
-	CT_READ_DATA, "CT_READ_DATA", \
-	CT_CTR, "CT_CTR", \
-	CT_CTL, "CT_CTL", \
-	CT_DRAINIO, "CT_DRAINIO", \
-	CT_RELEASEIO, "CT_RELEASEIO", \
-	CT_GET_NVRAM, "CT_GET_NVRAM", \
-	CT_GET_MEMORY, "CT_GET_MEMORY", \
-	CT_PRINT_CT_LOG, "CT_PRINT_CT_LOG", \
-	CT_ADD_LEVEL, "CT_ADD_LEVEL", \
-	CT_NV_ZERO, "CT_NV_ZERO", \
-	CT_READ_SIGNATURE, "CT_READ_SIGNATURE", \
-	CT_THROTTLE_ON, "CT_THROTTLE_ON", \
-	CT_THROTTLE_OFF, "CT_THROTTLE_OFF", \
-	CT_GET_THROTTLE_STATS, "CT_GET_THROTTLE_STATS", \
-	CT_MAKE_SNAPSHOT, "CT_MAKE_SNAPSHOT", \
-	CT_REMOVE_SNAPSHOT, "CT_REMOVE_SNAPSHOT", \
-	CT_WRITE_USER_FLAGS, "CT_WRITE_USER_FLAGS", \
-	CT_READ_USER_FLAGS, "CT_READ_USER_FLAGS", \
-	CT_MONITOR, "CT_MONITOR", \
-	CT_GEN_MORPH, "CT_GEN_MORPH", \
-	CT_GET_SNAPSHOT_INFO, "CT_GET_SNAPSHOT_INFO", \
-	CT_CACHE_SET, "CT_CACHE_SET", \
-	CT_CACHE_STAT, "CT_CACHE_STAT", \
-	CT_TRACE_START, "CT_TRACE_START", \
-	CT_TRACE_STOP, "CT_TRACE_STOP", \
-	CT_TRACE_ENABLE, "CT_TRACE_ENABLE", \
-	CT_TRACE_DISABLE, "CT_TRACE_DISABLE", \
-	CT_FORCE_CORE_DUMP, "CT_FORCE_CORE_DUMP", \
-	CT_SET_SERIAL_NUMBER, "CT_SET_SERIAL_NUMBER", \
-	CT_RESET_SERIAL_NUMBER, "CT_RESET_SERIAL_NUMBER", \
-	CT_ENABLE_RAID5, "CT_ENABLE_RAID5", \
-	CT_CLEAR_VALID_DUMP_FLAG, "CT_CLEAR_VALID_DUMP_FLAG", \
-	CT_GET_MEM_STATS, "CT_GET_MEM_STATS", \
-	CT_GET_CORE_SIZE, "CT_GET_CORE_SIZE", \
-	CT_CREATE_CONTAINER_OLD, "CT_CREATE_CONTAINER_OLD", \
-	CT_STOP_DUMPS, "CT_STOP_DUMPS", \
-	CT_PANIC_ON_TAKE_A_BREAK, "CT_PANIC_ON_TAKE_A_BREAK", \
-	CT_GET_CACHE_STATS, "CT_GET_CACHE_STATS", \
-	CT_MOVE_PARTITION, "CT_MOVE_PARTITION", \
-	CT_FLUSH_CACHE, "CT_FLUSH_CACHE", \
-	CT_READ_NAME, "CT_READ_NAME", \
-	CT_WRITE_NAME, "CT_WRITE_NAME", \
-	CT_TOSS_CACHE, "CT_TOSS_CACHE", \
-	CT_LOCK_DRAINIO, "CT_LOCK_DRAINIO", \
-	CT_CONTAINER_OFFLINE, "CT_CONTAINER_OFFLINE", \
-	CT_SET_CACHE_SIZE, "CT_SET_CACHE_SIZE", \
-	CT_CLEAN_SHUTDOWN_STATUS, "CT_CLEAN_SHUTDOWN_STATUS", \
-	CT_CLEAR_DISKLOG_ON_DISK, "CT_CLEAR_DISKLOG_ON_DISK", \
-	CT_CLEAR_ALL_DISKLOG, "CT_CLEAR_ALL_DISKLOG", \
-	CT_CACHE_FAVOR, "CT_CACHE_FAVOR", \
-	CT_READ_PASSTHRU_MBR, "CT_READ_PASSTHRU_MBR", \
-	CT_SCRUB_NOFIX, "CT_SCRUB_NOFIX", \
-	CT_SCRUB2_NOFIX, "CT_SCRUB2_NOFIX", \
-	CT_FLUSH, "CT_FLUSH", \
-	CT_REBUILD, "CT_REBUILD", \
-	CT_FLUSH_CONTAINER, "CT_FLUSH_CONTAINER", \
-	CT_RESTART, "CT_RESTART", \
-	CT_GET_CONFIG_STATUS, "CT_GET_CONFIG_STATUS", \
-	CT_TRACE_FLAG, "CT_TRACE_FLAG", \
-	CT_RESTART_MORPH, "CT_RESTART_MORPH", \
-	CT_GET_TRACE_INFO, "CT_GET_TRACE_INFO", \
-	CT_GET_TRACE_ITEM, "CT_GET_TRACE_ITEM", \
-	CT_COMMIT_CONFIG, "CT_COMMIT_CONFIG", \
-	CT_CONTAINER_EXISTS, "CT_CONTAINER_EXISTS", \
-	CT_GET_SLICE_FROM_DEVT, "CT_GET_SLICE_FROM_DEVT", \
-	CT_OPEN_READ_WRITE, "CT_OPEN_READ_WRITE", \
-	CT_WRITE_MEMORY_BLOCK, "CT_WRITE_MEMORY_BLOCK", \
-	CT_GET_CACHE_PARAMS, "CT_GET_CACHE_PARAMS", \
-	CT_CRAZY_CACHE, "CT_CRAZY_CACHE", \
-	CT_GET_PROFILE_STRUCT, "CT_GET_PROFILE_STRUCT", \
-	CT_SET_IO_TRACE_FLAG, "CT_SET_IO_TRACE_FLAG", \
-	CT_GET_IO_TRACE_STRUCT, "CT_GET_IO_TRACE_STRUCT", \
-	CT_CID_TO_64BITS_UID, "CT_CID_TO_64BITS_UID", \
-	CT_64BITS_UID_TO_CID, "CT_64BITS_UID_TO_CID", \
-	CT_PAR_TO_64BITS_UID, "CT_PAR_TO_64BITS_UID", \
-	CT_CID_TO_32BITS_UID, "CT_CID_TO_32BITS_UID", \
-	CT_32BITS_UID_TO_CID, "CT_32BITS_UID_TO_CID", \
-	CT_PAR_TO_32BITS_UID, "CT_PAR_TO_32BITS_UID", \
-	CT_SET_FAILOVER_OPTION, "CT_SET_FAILOVER_OPTION", \
-	CT_GET_FAILOVER_OPTION, "CT_GET_FAILOVER_OPTION", \
-	CT_STRIPE_ADD2, "CT_STRIPE_ADD2", \
-	CT_CREATE_VOLUME_SET, "CT_CREATE_VOLUME_SET", \
-	CT_CREATE_STRIPE_SET, "CT_CREATE_STRIPE_SET", \
-	CT_VERIFY_CONTAINER, "CT_VERIFY_CONTAINER", \
-	CT_IS_CONTAINER_DEAD, "CT_IS_CONTAINER_DEAD", \
-	CT_GET_CONTAINER_OPTION, "CT_GET_CONTAINER_OPTION", \
-	CT_GET_SNAPSHOT_UNUSED_STRUCT, "CT_GET_SNAPSHOT_UNUSED_STRUCT", \
-	CT_CLEAR_SNAPSHOT_UNUSED_STRUCT, "CT_CLEAR_SNAPSHOT_UNUSED_STRUCT", \
-	CT_GET_CONTAINER_INFO, "CT_GET_CONTAINER_INFO", \
-	CT_CREATE_CONTAINER, "CT_CREATE_CONTAINER", \
-	CT_CHANGE_CREATIONINFO, "CT_CHANGE_CREATIONINFO", \
-	CT_CHECK_CONFLICT_UID, "CT_CHECK_CONFLICT_UID", \
-	CT_CONTAINER_UID_CHECK, "CT_CONTAINER_UID_CHECK", \
-	CT_IS_CONTAINER_MEATADATA_STANDARD, \
-	    "CT_IS_CONTAINER_MEATADATA_STANDARD", \
-	CT_IS_SLICE_METADATA_STANDARD, "CT_IS_SLICE_METADATA_STANDARD", \
-	CT_GET_IMPORT_COUNT, "CT_GET_IMPORT_COUNT", \
-	CT_CANCEL_ALL_IMPORTS, "CT_CANCEL_ALL_IMPORTS", \
-	CT_GET_IMPORT_INFO, "CT_GET_IMPORT_INFO", \
-	CT_IMPORT_ARRAY, "CT_IMPORT_ARRAY", \
-	CT_GET_LOG_SIZE, "CT_GET_LOG_SIZE", \
-	CT_ALARM_GET_STATE, "CT_ALARM_GET_STATE", \
-	CT_ALARM_SET_STATE, "CT_ALARM_SET_STATE", \
-	CT_ALARM_ON_OFF, "CT_ALARM_ON_OFF", \
-	CT_GET_EE_OEM_ID, "CT_GET_EE_OEM_ID", \
-	CT_GET_PPI_HEADERS, "CT_GET_PPI_HEADERS", \
-	CT_GET_PPI_DATA, "CT_GET_PPI_DATA", \
-	CT_GET_PPI_ENTRIES, "CT_GET_PPI_ENTRIES", \
-	CT_DELETE_PPI_BUNDLE, "CT_DELETE_PPI_BUNDLE", \
-	CT_GET_PARTITION_TABLE_2, "CT_GET_PARTITION_TABLE_2", \
-	CT_GET_PARTITION_INFO_2, "CT_GET_PARTITION_INFO_2", \
-	CT_GET_DISK_PARTITIONS_2, "CT_GET_DISK_PARTITIONS_2", \
-	CT_QUIESCE_ADAPTER, "CT_QUIESCE_ADAPTER", \
-	CT_CLEAR_PPI_TABLE, "CT_CLEAR_PPI_TABLE"
+	{CT_Null, "CT_Null"}, \
+	{CT_GET_SLICE_COUNT, "CT_GET_SLICE_COUNT"}, \
+	{CT_GET_PARTITION_COUNT, "CT_GET_PARTITION_COUNT"}, \
+	{CT_GET_PARTITION_INFO, "CT_GET_PARTITION_INFO"}, \
+	{CT_GET_CONTAINER_COUNT, "CT_GET_CONTAINER_COUNT"}, \
+	{CT_GET_CONTAINER_INFO_OLD, "CT_GET_CONTAINER_INFO_OLD"}, \
+	{CT_WRITE_MBR, "CT_WRITE_MBR"}, \
+	{CT_WRITE_PARTITION, "CT_WRITE_PARTITION"}, \
+	{CT_UPDATE_PARTITION, "CT_UPDATE_PARTITION"}, \
+	{CT_UNLOAD_CONTAINER, "CT_UNLOAD_CONTAINER"}, \
+	{CT_CONFIG_SINGLE_PRIMARY, "CT_CONFIG_SINGLE_PRIMARY"}, \
+	{CT_READ_CONFIG_AGE, "CT_READ_CONFIG_AGE"}, \
+	{CT_WRITE_CONFIG_AGE, "CT_WRITE_CONFIG_AGE"}, \
+	{CT_READ_SERIAL_NUMBER, "CT_READ_SERIAL_NUMBER"}, \
+	{CT_ZERO_PAR_ENTRY, "CT_ZERO_PAR_ENTRY"}, \
+	{CT_READ_MBR, "CT_READ_MBR"}, \
+	{CT_READ_PARTITION, "CT_READ_PARTITION"}, \
+	{CT_DESTROY_CONTAINER, "CT_DESTROY_CONTAINER"}, \
+	{CT_DESTROY2_CONTAINER, "CT_DESTROY2_CONTAINER"}, \
+	{CT_SLICE_SIZE, "CT_SLICE_SIZE"}, \
+	{CT_CHECK_CONFLICTS, "CT_CHECK_CONFLICTS"}, \
+	{CT_MOVE_CONTAINER, "CT_MOVE_CONTAINER"}, \
+	{CT_READ_LAST_DRIVE, "CT_READ_LAST_DRIVE"}, \
+	{CT_WRITE_LAST_DRIVE, "CT_WRITE_LAST_DRIVE"}, \
+	{CT_UNMIRROR, "CT_UNMIRROR"}, \
+	{CT_MIRROR_DELAY, "CT_MIRROR_DELAY"}, \
+	{CT_GEN_MIRROR, "CT_GEN_MIRROR"}, \
+	{CT_GEN_MIRROR2, "CT_GEN_MIRROR2"}, \
+	{CT_TEST_CONTAINER, "CT_TEST_CONTAINER"}, \
+	{CT_MOVE2, "CT_MOVE2"}, \
+	{CT_SPLIT, "CT_SPLIT"}, \
+	{CT_SPLIT2, "CT_SPLIT2"}, \
+	{CT_SPLIT_BROKEN, "CT_SPLIT_BROKEN"}, \
+	{CT_SPLIT_BROKEN2, "CT_SPLIT_BROKEN2"}, \
+	{CT_RECONFIG, "CT_RECONFIG"}, \
+	{CT_BREAK2, "CT_BREAK2"}, \
+	{CT_BREAK, "CT_BREAK"}, \
+	{CT_MERGE2, "CT_MERGE2"}, \
+	{CT_MERGE, "CT_MERGE"}, \
+	{CT_FORCE_ERROR, "CT_FORCE_ERROR"}, \
+	{CT_CLEAR_ERROR, "CT_CLEAR_ERROR"}, \
+	{CT_ASSIGN_FAILOVER, "CT_ASSIGN_FAILOVER"}, \
+	{CT_CLEAR_FAILOVER, "CT_CLEAR_FAILOVER"}, \
+	{CT_GET_FAILOVER_DATA, "CT_GET_FAILOVER_DATA"}, \
+	{CT_VOLUME_ADD, "CT_VOLUME_ADD"}, \
+	{CT_VOLUME_ADD2, "CT_VOLUME_ADD2"}, \
+	{CT_MIRROR_STATUS, "CT_MIRROR_STATUS"}, \
+	{CT_COPY_STATUS, "CT_COPY_STATUS"}, \
+	{CT_COPY, "CT_COPY"}, \
+	{CT_UNLOCK_CONTAINER, "CT_UNLOCK_CONTAINER"}, \
+	{CT_LOCK_CONTAINER, "CT_LOCK_CONTAINER"}, \
+	{CT_MAKE_READ_ONLY, "CT_MAKE_READ_ONLY"}, \
+	{CT_MAKE_READ_WRITE, "CT_MAKE_READ_WRITE"}, \
+	{CT_CLEAN_DEAD, "CT_CLEAN_DEAD"}, \
+	{CT_ABORT_MIRROR_COMMAND, "CT_ABORT_MIRROR_COMMAND"}, \
+	{CT_SET, "CT_SET"}, \
+	{CT_GET, "CT_GET"}, \
+	{CT_GET_NVLOG_ENTRY, "CT_GET_NVLOG_ENTRY"}, \
+	{CT_GET_DELAY, "CT_GET_DELAY"}, \
+	{CT_ZERO_CONTAINER_SPACE, "CT_ZERO_CONTAINER_SPACE"}, \
+	{CT_GET_ZERO_STATUS, "CT_GET_ZERO_STATUS"}, \
+	{CT_SCRUB, "CT_SCRUB"}, \
+	{CT_GET_SCRUB_STATUS, "CT_GET_SCRUB_STATUS"}, \
+	{CT_GET_SLICE_INFO, "CT_GET_SLICE_INFO"}, \
+	{CT_GET_SCSI_METHOD, "CT_GET_SCSI_METHOD"}, \
+	{CT_PAUSE_IO, "CT_PAUSE_IO"}, \
+	{CT_RELEASE_IO, "CT_RELEASE_IO"}, \
+	{CT_SCRUB2, "CT_SCRUB2"}, \
+	{CT_MCHECK, "CT_MCHECK"}, \
+	{CT_CORRUPT, "CT_CORRUPT"}, \
+	{CT_GET_TASK_COUNT, "CT_GET_TASK_COUNT"}, \
+	{CT_PROMOTE, "CT_PROMOTE"}, \
+	{CT_SET_DEAD, "CT_SET_DEAD"}, \
+	{CT_CONTAINER_OPTIONS, "CT_CONTAINER_OPTIONS"}, \
+	{CT_GET_NV_PARAM, "CT_GET_NV_PARAM"}, \
+	{CT_GET_PARAM, "CT_GET_PARAM"}, \
+	{CT_NV_PARAM_SIZE, "CT_NV_PARAM_SIZE"}, \
+	{CT_COMMON_PARAM_SIZE, "CT_COMMON_PARAM_SIZE"}, \
+	{CT_PLATFORM_PARAM_SIZE, "CT_PLATFORM_PARAM_SIZE"}, \
+	{CT_SET_NV_PARAM, "CT_SET_NV_PARAM"}, \
+	{CT_ABORT_SCRUB, "CT_ABORT_SCRUB"}, \
+	{CT_GET_SCRUB_ERROR, "CT_GET_SCRUB_ERROR"}, \
+	{CT_LABEL_CONTAINER, "CT_LABEL_CONTAINER"}, \
+	{CT_CONTINUE_DATA, "CT_CONTINUE_DATA"}, \
+	{CT_STOP_DATA, "CT_STOP_DATA"}, \
+	{CT_GET_PARTITION_TABLE, "CT_GET_PARTITION_TABLE"}, \
+	{CT_GET_DISK_PARTITIONS, "CT_GET_DISK_PARTITIONS"}, \
+	{CT_GET_MISC_STATUS, "CT_GET_MISC_STATUS"}, \
+	{CT_GET_CONTAINER_PERF_INFO, "CT_GET_CONTAINER_PERF_INFO"}, \
+	{CT_GET_TIME, "CT_GET_TIME"}, \
+	{CT_READ_DATA, "CT_READ_DATA"}, \
+	{CT_CTR, "CT_CTR"}, \
+	{CT_CTL, "CT_CTL"}, \
+	{CT_DRAINIO, "CT_DRAINIO"}, \
+	{CT_RELEASEIO, "CT_RELEASEIO"}, \
+	{CT_GET_NVRAM, "CT_GET_NVRAM"}, \
+	{CT_GET_MEMORY, "CT_GET_MEMORY"}, \
+	{CT_PRINT_CT_LOG, "CT_PRINT_CT_LOG"}, \
+	{CT_ADD_LEVEL, "CT_ADD_LEVEL"}, \
+	{CT_NV_ZERO, "CT_NV_ZERO"}, \
+	{CT_READ_SIGNATURE, "CT_READ_SIGNATURE"}, \
+	{CT_THROTTLE_ON, "CT_THROTTLE_ON"}, \
+	{CT_THROTTLE_OFF, "CT_THROTTLE_OFF"}, \
+	{CT_GET_THROTTLE_STATS, "CT_GET_THROTTLE_STATS"}, \
+	{CT_MAKE_SNAPSHOT, "CT_MAKE_SNAPSHOT"}, \
+	{CT_REMOVE_SNAPSHOT, "CT_REMOVE_SNAPSHOT"}, \
+	{CT_WRITE_USER_FLAGS, "CT_WRITE_USER_FLAGS"}, \
+	{CT_READ_USER_FLAGS, "CT_READ_USER_FLAGS"}, \
+	{CT_MONITOR, "CT_MONITOR"}, \
+	{CT_GEN_MORPH, "CT_GEN_MORPH"}, \
+	{CT_GET_SNAPSHOT_INFO, "CT_GET_SNAPSHOT_INFO"}, \
+	{CT_CACHE_SET, "CT_CACHE_SET"}, \
+	{CT_CACHE_STAT, "CT_CACHE_STAT"}, \
+	{CT_TRACE_START, "CT_TRACE_START"}, \
+	{CT_TRACE_STOP, "CT_TRACE_STOP"}, \
+	{CT_TRACE_ENABLE, "CT_TRACE_ENABLE"}, \
+	{CT_TRACE_DISABLE, "CT_TRACE_DISABLE"}, \
+	{CT_FORCE_CORE_DUMP, "CT_FORCE_CORE_DUMP"}, \
+	{CT_SET_SERIAL_NUMBER, "CT_SET_SERIAL_NUMBER"}, \
+	{CT_RESET_SERIAL_NUMBER, "CT_RESET_SERIAL_NUMBER"}, \
+	{CT_ENABLE_RAID5, "CT_ENABLE_RAID5"}, \
+	{CT_CLEAR_VALID_DUMP_FLAG, "CT_CLEAR_VALID_DUMP_FLAG"}, \
+	{CT_GET_MEM_STATS, "CT_GET_MEM_STATS"}, \
+	{CT_GET_CORE_SIZE, "CT_GET_CORE_SIZE"}, \
+	{CT_CREATE_CONTAINER_OLD, "CT_CREATE_CONTAINER_OLD"}, \
+	{CT_STOP_DUMPS, "CT_STOP_DUMPS"}, \
+	{CT_PANIC_ON_TAKE_A_BREAK, "CT_PANIC_ON_TAKE_A_BREAK"}, \
+	{CT_GET_CACHE_STATS, "CT_GET_CACHE_STATS"}, \
+	{CT_MOVE_PARTITION, "CT_MOVE_PARTITION"}, \
+	{CT_FLUSH_CACHE, "CT_FLUSH_CACHE"}, \
+	{CT_READ_NAME, "CT_READ_NAME"}, \
+	{CT_WRITE_NAME, "CT_WRITE_NAME"}, \
+	{CT_TOSS_CACHE, "CT_TOSS_CACHE"}, \
+	{CT_LOCK_DRAINIO, "CT_LOCK_DRAINIO"}, \
+	{CT_CONTAINER_OFFLINE, "CT_CONTAINER_OFFLINE"}, \
+	{CT_SET_CACHE_SIZE, "CT_SET_CACHE_SIZE"}, \
+	{CT_CLEAN_SHUTDOWN_STATUS, "CT_CLEAN_SHUTDOWN_STATUS"}, \
+	{CT_CLEAR_DISKLOG_ON_DISK, "CT_CLEAR_DISKLOG_ON_DISK"}, \
+	{CT_CLEAR_ALL_DISKLOG, "CT_CLEAR_ALL_DISKLOG"}, \
+	{CT_CACHE_FAVOR, "CT_CACHE_FAVOR"}, \
+	{CT_READ_PASSTHRU_MBR, "CT_READ_PASSTHRU_MBR"}, \
+	{CT_SCRUB_NOFIX, "CT_SCRUB_NOFIX"}, \
+	{CT_SCRUB2_NOFIX, "CT_SCRUB2_NOFIX"}, \
+	{CT_FLUSH, "CT_FLUSH"}, \
+	{CT_REBUILD, "CT_REBUILD"}, \
+	{CT_FLUSH_CONTAINER, "CT_FLUSH_CONTAINER"}, \
+	{CT_RESTART, "CT_RESTART"}, \
+	{CT_GET_CONFIG_STATUS, "CT_GET_CONFIG_STATUS"}, \
+	{CT_TRACE_FLAG, "CT_TRACE_FLAG"}, \
+	{CT_RESTART_MORPH, "CT_RESTART_MORPH"}, \
+	{CT_GET_TRACE_INFO, "CT_GET_TRACE_INFO"}, \
+	{CT_GET_TRACE_ITEM, "CT_GET_TRACE_ITEM"}, \
+	{CT_COMMIT_CONFIG, "CT_COMMIT_CONFIG"}, \
+	{CT_CONTAINER_EXISTS, "CT_CONTAINER_EXISTS"}, \
+	{CT_GET_SLICE_FROM_DEVT, "CT_GET_SLICE_FROM_DEVT"}, \
+	{CT_OPEN_READ_WRITE, "CT_OPEN_READ_WRITE"}, \
+	{CT_WRITE_MEMORY_BLOCK, "CT_WRITE_MEMORY_BLOCK"}, \
+	{CT_GET_CACHE_PARAMS, "CT_GET_CACHE_PARAMS"}, \
+	{CT_CRAZY_CACHE, "CT_CRAZY_CACHE"}, \
+	{CT_GET_PROFILE_STRUCT, "CT_GET_PROFILE_STRUCT"}, \
+	{CT_SET_IO_TRACE_FLAG, "CT_SET_IO_TRACE_FLAG"}, \
+	{CT_GET_IO_TRACE_STRUCT, "CT_GET_IO_TRACE_STRUCT"}, \
+	{CT_CID_TO_64BITS_UID, "CT_CID_TO_64BITS_UID"}, \
+	{CT_64BITS_UID_TO_CID, "CT_64BITS_UID_TO_CID"}, \
+	{CT_PAR_TO_64BITS_UID, "CT_PAR_TO_64BITS_UID"}, \
+	{CT_CID_TO_32BITS_UID, "CT_CID_TO_32BITS_UID"}, \
+	{CT_32BITS_UID_TO_CID, "CT_32BITS_UID_TO_CID"}, \
+	{CT_PAR_TO_32BITS_UID, "CT_PAR_TO_32BITS_UID"}, \
+	{CT_SET_FAILOVER_OPTION, "CT_SET_FAILOVER_OPTION"}, \
+	{CT_GET_FAILOVER_OPTION, "CT_GET_FAILOVER_OPTION"}, \
+	{CT_STRIPE_ADD2, "CT_STRIPE_ADD2"}, \
+	{CT_CREATE_VOLUME_SET, "CT_CREATE_VOLUME_SET"}, \
+	{CT_CREATE_STRIPE_SET, "CT_CREATE_STRIPE_SET"}, \
+	{CT_VERIFY_CONTAINER, "CT_VERIFY_CONTAINER"}, \
+	{CT_IS_CONTAINER_DEAD, "CT_IS_CONTAINER_DEAD"}, \
+	{CT_GET_CONTAINER_OPTION, "CT_GET_CONTAINER_OPTION"}, \
+	{CT_GET_SNAPSHOT_UNUSED_STRUCT, "CT_GET_SNAPSHOT_UNUSED_STRUCT"}, \
+	{CT_CLEAR_SNAPSHOT_UNUSED_STRUCT, "CT_CLEAR_SNAPSHOT_UNUSED_STRUCT"}, \
+	{CT_GET_CONTAINER_INFO, "CT_GET_CONTAINER_INFO"}, \
+	{CT_CREATE_CONTAINER, "CT_CREATE_CONTAINER"}, \
+	{CT_CHANGE_CREATIONINFO, "CT_CHANGE_CREATIONINFO"}, \
+	{CT_CHECK_CONFLICT_UID, "CT_CHECK_CONFLICT_UID"}, \
+	{CT_CONTAINER_UID_CHECK, "CT_CONTAINER_UID_CHECK"}, \
+	{CT_IS_CONTAINER_MEATADATA_STANDARD, \
+	    "CT_IS_CONTAINER_MEATADATA_STANDARD"}, \
+	{CT_IS_SLICE_METADATA_STANDARD, "CT_IS_SLICE_METADATA_STANDARD"}, \
+	{CT_GET_IMPORT_COUNT, "CT_GET_IMPORT_COUNT"}, \
+	{CT_CANCEL_ALL_IMPORTS, "CT_CANCEL_ALL_IMPORTS"}, \
+	{CT_GET_IMPORT_INFO, "CT_GET_IMPORT_INFO"}, \
+	{CT_IMPORT_ARRAY, "CT_IMPORT_ARRAY"}, \
+	{CT_GET_LOG_SIZE, "CT_GET_LOG_SIZE"}, \
+	{CT_ALARM_GET_STATE, "CT_ALARM_GET_STATE"}, \
+	{CT_ALARM_SET_STATE, "CT_ALARM_SET_STATE"}, \
+	{CT_ALARM_ON_OFF, "CT_ALARM_ON_OFF"}, \
+	{CT_GET_EE_OEM_ID, "CT_GET_EE_OEM_ID"}, \
+	{CT_GET_PPI_HEADERS, "CT_GET_PPI_HEADERS"}, \
+	{CT_GET_PPI_DATA, "CT_GET_PPI_DATA"}, \
+	{CT_GET_PPI_ENTRIES, "CT_GET_PPI_ENTRIES"}, \
+	{CT_DELETE_PPI_BUNDLE, "CT_DELETE_PPI_BUNDLE"}, \
+	{CT_GET_PARTITION_TABLE_2, "CT_GET_PARTITION_TABLE_2"}, \
+	{CT_GET_PARTITION_INFO_2, "CT_GET_PARTITION_INFO_2"}, \
+	{CT_GET_DISK_PARTITIONS_2, "CT_GET_DISK_PARTITIONS_2"}, \
+	{CT_QUIESCE_ADAPTER, "CT_QUIESCE_ADAPTER"}, \
+	{CT_CLEAR_PPI_TABLE, "CT_CLEAR_PPI_TABLE"}
 
 #define	AAC_CL_SUBCMD_KEY_STRINGS \
-	CL_NULL, "CL_NULL", \
-	DS_INIT, "DS_INIT", \
-	DS_RESCAN, "DS_RESCAN", \
-	DS_CREATE, "DS_CREATE", \
-	DS_DELETE, "DS_DELETE", \
-	DS_ADD_DISK, "DS_ADD_DISK", \
-	DS_REMOVE_DISK, "DS_REMOVE_DISK", \
-	DS_MOVE_DISK, "DS_MOVE_DISK", \
-	DS_TAKE_OWNERSHIP, "DS_TAKE_OWNERSHIP", \
-	DS_RELEASE_OWNERSHIP, "DS_RELEASE_OWNERSHIP", \
-	DS_FORCE_OWNERSHIP, "DS_FORCE_OWNERSHIP", \
-	DS_GET_DISK_SET_PARAM, "DS_GET_DISK_SET_PARAM", \
-	DS_GET_DRIVE_PARAM, "DS_GET_DRIVE_PARAM", \
-	DS_GET_SLICE_PARAM, "DS_GET_SLICE_PARAM", \
-	DS_GET_DISK_SETS, "DS_GET_DISK_SETS", \
-	DS_GET_DRIVES, "DS_GET_DRIVES", \
-	DS_SET_DISK_SET_PARAM, "DS_SET_DISK_SET_PARAM", \
-	DS_ONLINE, "DS_ONLINE", \
-	DS_OFFLINE, "DS_OFFLINE", \
-	DS_ONLINE_CONTAINERS, "DS_ONLINE_CONTAINERS", \
-	DS_FSAPRINT, "DS_FSAPRINT", \
-	CL_CFG_SET_HOST_IDS, "CL_CFG_SET_HOST_IDS", \
-	CL_CFG_SET_PARTNER_HOST_IDS, "CL_CFG_SET_PARTNER_HOST_IDS", \
-	CL_CFG_GET_CLUSTER_CONFIG, "CL_CFG_GET_CLUSTER_CONFIG", \
-	CC_CLI_CLEAR_MESSAGE_BUFFER, "CC_CLI_CLEAR_MESSAGE_BUFFER", \
-	CC_SRV_CLEAR_MESSAGE_BUFFER, "CC_SRV_CLEAR_MESSAGE_BUFFER", \
-	CC_CLI_SHOW_MESSAGE_BUFFER, "CC_CLI_SHOW_MESSAGE_BUFFER", \
-	CC_SRV_SHOW_MESSAGE_BUFFER, "CC_SRV_SHOW_MESSAGE_BUFFER", \
-	CC_CLI_SEND_MESSAGE, "CC_CLI_SEND_MESSAGE", \
-	CC_SRV_SEND_MESSAGE, "CC_SRV_SEND_MESSAGE", \
-	CC_CLI_GET_MESSAGE, "CC_CLI_GET_MESSAGE", \
-	CC_SRV_GET_MESSAGE, "CC_SRV_GET_MESSAGE", \
-	CC_SEND_TEST_MESSAGE, "CC_SEND_TEST_MESSAGE", \
-	CC_GET_BUSINFO, "CC_GET_BUSINFO", \
-	CC_GET_PORTINFO, "CC_GET_PORTINFO", \
-	CC_GET_NAMEINFO, "CC_GET_NAMEINFO", \
-	CC_GET_CONFIGINFO, "CC_GET_CONFIGINFO", \
-	CQ_QUORUM_OP, "CQ_QUORUM_OP"
+	{CL_NULL, "CL_NULL"}, \
+	{DS_INIT, "DS_INIT"}, \
+	{DS_RESCAN, "DS_RESCAN"}, \
+	{DS_CREATE, "DS_CREATE"}, \
+	{DS_DELETE, "DS_DELETE"}, \
+	{DS_ADD_DISK, "DS_ADD_DISK"}, \
+	{DS_REMOVE_DISK, "DS_REMOVE_DISK"}, \
+	{DS_MOVE_DISK, "DS_MOVE_DISK"}, \
+	{DS_TAKE_OWNERSHIP, "DS_TAKE_OWNERSHIP"}, \
+	{DS_RELEASE_OWNERSHIP, "DS_RELEASE_OWNERSHIP"}, \
+	{DS_FORCE_OWNERSHIP, "DS_FORCE_OWNERSHIP"}, \
+	{DS_GET_DISK_SET_PARAM, "DS_GET_DISK_SET_PARAM"}, \
+	{DS_GET_DRIVE_PARAM, "DS_GET_DRIVE_PARAM"}, \
+	{DS_GET_SLICE_PARAM, "DS_GET_SLICE_PARAM"}, \
+	{DS_GET_DISK_SETS, "DS_GET_DISK_SETS"}, \
+	{DS_GET_DRIVES, "DS_GET_DRIVES"}, \
+	{DS_SET_DISK_SET_PARAM, "DS_SET_DISK_SET_PARAM"}, \
+	{DS_ONLINE, "DS_ONLINE"}, \
+	{DS_OFFLINE, "DS_OFFLINE"}, \
+	{DS_ONLINE_CONTAINERS, "DS_ONLINE_CONTAINERS"}, \
+	{DS_FSAPRINT, "DS_FSAPRINT"}, \
+	{CL_CFG_SET_HOST_IDS, "CL_CFG_SET_HOST_IDS"}, \
+	{CL_CFG_SET_PARTNER_HOST_IDS, "CL_CFG_SET_PARTNER_HOST_IDS"}, \
+	{CL_CFG_GET_CLUSTER_CONFIG, "CL_CFG_GET_CLUSTER_CONFIG"}, \
+	{CC_CLI_CLEAR_MESSAGE_BUFFER, "CC_CLI_CLEAR_MESSAGE_BUFFER"}, \
+	{CC_SRV_CLEAR_MESSAGE_BUFFER, "CC_SRV_CLEAR_MESSAGE_BUFFER"}, \
+	{CC_CLI_SHOW_MESSAGE_BUFFER, "CC_CLI_SHOW_MESSAGE_BUFFER"}, \
+	{CC_SRV_SHOW_MESSAGE_BUFFER, "CC_SRV_SHOW_MESSAGE_BUFFER"}, \
+	{CC_CLI_SEND_MESSAGE, "CC_CLI_SEND_MESSAGE"}, \
+	{CC_SRV_SEND_MESSAGE, "CC_SRV_SEND_MESSAGE"}, \
+	{CC_CLI_GET_MESSAGE, "CC_CLI_GET_MESSAGE"}, \
+	{CC_SRV_GET_MESSAGE, "CC_SRV_GET_MESSAGE"}, \
+	{CC_SEND_TEST_MESSAGE, "CC_SEND_TEST_MESSAGE"}, \
+	{CC_GET_BUSINFO, "CC_GET_BUSINFO"}, \
+	{CC_GET_PORTINFO, "CC_GET_PORTINFO"}, \
+	{CC_GET_NAMEINFO, "CC_GET_NAMEINFO"}, \
+	{CC_GET_CONFIGINFO, "CC_GET_CONFIGINFO"}, \
+	{CQ_QUORUM_OP, "CQ_QUORUM_OP"}
 
 #define	AAC_AIF_SUBCMD_KEY_STRINGS \
-	AifCmdEventNotify, "AifCmdEventNotify", \
-	AifCmdJobProgress, "AifCmdJobProgress", \
-	AifCmdAPIReport, "AifCmdAPIReport", \
-	AifCmdDriverNotify, "AifCmdDriverNotify", \
-	AifReqJobList, "AifReqJobList", \
-	AifReqJobsForCtr, "AifReqJobsForCtr", \
-	AifReqJobsForScsi, "AifReqJobsForScsi", \
-	AifReqJobReport, "AifReqJobReport", \
-	AifReqTerminateJob, "AifReqTerminateJob", \
-	AifReqSuspendJob, "AifReqSuspendJob", \
-	AifReqResumeJob, "AifReqResumeJob", \
-	AifReqSendAPIReport, "AifReqSendAPIReport", \
-	AifReqAPIJobStart, "AifReqAPIJobStart", \
-	AifReqAPIJobUpdate, "AifReqAPIJobUpdate", \
-	AifReqAPIJobFinish, "AifReqAPIJobFinish"
+	{AifCmdEventNotify, "AifCmdEventNotify"}, \
+	{AifCmdJobProgress, "AifCmdJobProgress"}, \
+	{AifCmdAPIReport, "AifCmdAPIReport"}, \
+	{AifCmdDriverNotify, "AifCmdDriverNotify"}, \
+	{AifReqJobList, "AifReqJobList"}, \
+	{AifReqJobsForCtr, "AifReqJobsForCtr"}, \
+	{AifReqJobsForScsi, "AifReqJobsForScsi"}, \
+	{AifReqJobReport, "AifReqJobReport"}, \
+	{AifReqTerminateJob, "AifReqTerminateJob"}, \
+	{AifReqSuspendJob, "AifReqSuspendJob"}, \
+	{AifReqResumeJob, "AifReqResumeJob"}, \
+	{AifReqSendAPIReport, "AifReqSendAPIReport"}, \
+	{AifReqAPIJobStart, "AifReqAPIJobStart"}, \
+	{AifReqAPIJobUpdate, "AifReqAPIJobUpdate"}, \
+	{AifReqAPIJobFinish, "AifReqAPIJobFinish"}
 
 #define	AAC_IOCTL_SUBCMD_KEY_STRINGS \
-	Reserved_IOCTL, "Reserved_IOCTL", \
-	GetDeviceHandle, "GetDeviceHandle", \
-	BusTargetLun_to_DeviceHandle, "BusTargetLun_to_DeviceHandle", \
-	DeviceHandle_to_BusTargetLun, "DeviceHandle_to_BusTargetLun", \
-	RescanBus, "RescanBus", \
-	GetDeviceProbeInfo, "GetDeviceProbeInfo", \
-	GetDeviceCapacity, "GetDeviceCapacity", \
-	GetContainerProbeInfo, "GetContainerProbeInfo", \
-	GetRequestedMemorySize, "GetRequestedMemorySize", \
-	GetBusInfo, "GetBusInfo", \
-	GetVendorSpecific, "GetVendorSpecific", \
-	EnhancedGetDeviceProbeInfo, "EnhancedGetDeviceProbeInfo", \
-	EnhancedGetBusInfo, "EnhancedGetBusInfo", \
-	SetupExtendedCounters, "SetupExtendedCounters", \
-	GetPerformanceCounters, "GetPerformanceCounters", \
-	ResetPerformanceCounters, "ResetPerformanceCounters", \
-	ReadModePage, "ReadModePage", \
-	WriteModePage, "WriteModePage", \
-	ReadDriveParameter, "ReadDriveParameter", \
-	WriteDriveParameter, "WriteDriveParameter", \
-	ResetAdapter, "ResetAdapter", \
-	ResetBus, "ResetBus", \
-	ResetBusDevice, "ResetBusDevice", \
-	ExecuteSrb, "ExecuteSrb", \
-	Create_IO_Task, "Create_IO_Task", \
-	Delete_IO_Task, "Delete_IO_Task", \
-	Get_IO_Task_Info, "Get_IO_Task_Info", \
-	Check_Task_Progress, "Check_Task_Progress", \
-	InjectError, "InjectError", \
-	GetDeviceDefectCounts, "GetDeviceDefectCounts", \
-	GetDeviceDefectInfo, "GetDeviceDefectInfo", \
-	GetDeviceStatus, "GetDeviceStatus", \
-	ClearDeviceStatus, "ClearDeviceStatus", \
-	DiskSpinControl, "DiskSpinControl", \
-	DiskSmartControl, "DiskSmartControl", \
-	WriteSame, "WriteSame", \
-	ReadWriteLong, "ReadWriteLong", \
-	FormatUnit, "FormatUnit", \
-	TargetDeviceControl, "TargetDeviceControl", \
-	TargetChannelControl, "TargetChannelControl", \
-	FlashNewCode, "FlashNewCode", \
-	DiskCheck, "DiskCheck", \
-	RequestSense, "RequestSense", \
-	DiskPERControl, "DiskPERControl", \
-	Read10, "Read10", \
-	Write10, "Write10"
+	{Reserved_IOCTL, "Reserved_IOCTL"}, \
+	{GetDeviceHandle, "GetDeviceHandle"}, \
+	{BusTargetLun_to_DeviceHandle, "BusTargetLun_to_DeviceHandle"}, \
+	{DeviceHandle_to_BusTargetLun, "DeviceHandle_to_BusTargetLun"}, \
+	{RescanBus, "RescanBus"}, \
+	{GetDeviceProbeInfo, "GetDeviceProbeInfo"}, \
+	{GetDeviceCapacity, "GetDeviceCapacity"}, \
+	{GetContainerProbeInfo, "GetContainerProbeInfo"}, \
+	{GetRequestedMemorySize, "GetRequestedMemorySize"}, \
+	{GetBusInfo, "GetBusInfo"}, \
+	{GetVendorSpecific, "GetVendorSpecific"}, \
+	{EnhancedGetDeviceProbeInfo, "EnhancedGetDeviceProbeInfo"}, \
+	{EnhancedGetBusInfo, "EnhancedGetBusInfo"}, \
+	{SetupExtendedCounters, "SetupExtendedCounters"}, \
+	{GetPerformanceCounters, "GetPerformanceCounters"}, \
+	{ResetPerformanceCounters, "ResetPerformanceCounters"}, \
+	{ReadModePage, "ReadModePage"}, \
+	{WriteModePage, "WriteModePage"}, \
+	{ReadDriveParameter, "ReadDriveParameter"}, \
+	{WriteDriveParameter, "WriteDriveParameter"}, \
+	{ResetAdapter, "ResetAdapter"}, \
+	{ResetBus, "ResetBus"}, \
+	{ResetBusDevice, "ResetBusDevice"}, \
+	{ExecuteSrb, "ExecuteSrb"}, \
+	{Create_IO_Task, "Create_IO_Task"}, \
+	{Delete_IO_Task, "Delete_IO_Task"}, \
+	{Get_IO_Task_Info, "Get_IO_Task_Info"}, \
+	{Check_Task_Progress, "Check_Task_Progress"}, \
+	{InjectError, "InjectError"}, \
+	{GetDeviceDefectCounts, "GetDeviceDefectCounts"}, \
+	{GetDeviceDefectInfo, "GetDeviceDefectInfo"}, \
+	{GetDeviceStatus, "GetDeviceStatus"}, \
+	{ClearDeviceStatus, "ClearDeviceStatus"}, \
+	{DiskSpinControl, "DiskSpinControl"}, \
+	{DiskSmartControl, "DiskSmartControl"}, \
+	{WriteSame, "WriteSame"}, \
+	{ReadWriteLong, "ReadWriteLong"}, \
+	{FormatUnit, "FormatUnit"}, \
+	{TargetDeviceControl, "TargetDeviceControl"}, \
+	{TargetChannelControl, "TargetChannelControl"}, \
+	{FlashNewCode, "FlashNewCode"}, \
+	{DiskCheck, "DiskCheck"}, \
+	{RequestSense, "RequestSense"}, \
+	{DiskPERControl, "DiskPERControl"}, \
+	{Read10, "Read10"}, \
+	{Write10, "Write10"}
 
 #define	AAC_AIFEN_KEY_STRINGS \
-	AifEnGeneric, "Generic", \
-	AifEnTaskComplete, "TaskComplete", \
-	AifEnConfigChange, "Config change", \
-	AifEnContainerChange, "Container change", \
-	AifEnDeviceFailure, "device failed", \
-	AifEnMirrorFailover, "Mirror failover", \
-	AifEnContainerEvent, "container event", \
-	AifEnFileSystemChange, "File system changed", \
-	AifEnConfigPause, "Container pause event", \
-	AifEnConfigResume, "Container resume event", \
-	AifEnFailoverChange, "Failover space assignment changed", \
-	AifEnRAID5RebuildDone, "RAID5 rebuild finished", \
-	AifEnEnclosureManagement, "Enclosure management event", \
-	AifEnBatteryEvent, "battery event", \
-	AifEnAddContainer, "Add container", \
-	AifEnDeleteContainer, "Delete container", \
-	AifEnSMARTEvent, "SMART Event", \
-	AifEnBatteryNeedsRecond, "battery needs reconditioning", \
-	AifEnClusterEvent, "cluster event", \
-	AifEnDiskSetEvent, "disk set event occured", \
-	AifDenMorphComplete, "morph operation completed", \
-	AifDenVolumeExtendComplete, "VolumeExtendComplete"
+	{AifEnGeneric, "Generic"}, \
+	{AifEnTaskComplete, "TaskComplete"}, \
+	{AifEnConfigChange, "Config change"}, \
+	{AifEnContainerChange, "Container change"}, \
+	{AifEnDeviceFailure, "device failed"}, \
+	{AifEnMirrorFailover, "Mirror failover"}, \
+	{AifEnContainerEvent, "container event"}, \
+	{AifEnFileSystemChange, "File system changed"}, \
+	{AifEnConfigPause, "Container pause event"}, \
+	{AifEnConfigResume, "Container resume event"}, \
+	{AifEnFailoverChange, "Failover space assignment changed"}, \
+	{AifEnRAID5RebuildDone, "RAID5 rebuild finished"}, \
+	{AifEnEnclosureManagement, "Enclosure management event"}, \
+	{AifEnBatteryEvent, "battery event"}, \
+	{AifEnAddContainer, "Add container"}, \
+	{AifEnDeleteContainer, "Delete container"}, \
+	{AifEnSMARTEvent, "SMART Event"}, \
+	{AifEnBatteryNeedsRecond, "battery needs reconditioning"}, \
+	{AifEnClusterEvent, "cluster event"}, \
+	{AifEnDiskSetEvent, "disk set event occured"}, \
+	{AifDenMorphComplete, "morph operation completed"}, \
+	{AifDenVolumeExtendComplete, "VolumeExtendComplete"}
 
 struct aac_key_strings {
 	int key;
@@ -7948,37 +7947,37 @@
 
 static struct aac_key_strings aac_fib_cmds[] = {
 	AAC_FIB_CMD_KEY_STRINGS,
-	-1,			NULL
+	{ -1,			NULL }
 };
 
 static struct aac_key_strings aac_ctvm_subcmds[] = {
 	AAC_CTVM_SUBCMD_KEY_STRINGS,
-	-1,			NULL
+	{ -1,			NULL }
 };
 
 static struct aac_key_strings aac_ct_subcmds[] = {
 	AAC_CT_SUBCMD_KEY_STRINGS,
-	-1,			NULL
+	{ -1,			NULL }
 };
 
 static struct aac_key_strings aac_cl_subcmds[] = {
 	AAC_CL_SUBCMD_KEY_STRINGS,
-	-1,			NULL
+	{ -1,			NULL }
 };
 
 static struct aac_key_strings aac_aif_subcmds[] = {
 	AAC_AIF_SUBCMD_KEY_STRINGS,
-	-1,			NULL
+	{ -1,			NULL }
 };
 
 static struct aac_key_strings aac_ioctl_subcmds[] = {
 	AAC_IOCTL_SUBCMD_KEY_STRINGS,
-	-1,			NULL
+	{ -1,			NULL }
 };
 
 static struct aac_key_strings aac_aifens[] = {
 	AAC_AIFEN_KEY_STRINGS,
-	-1,			NULL
+	{ -1,			NULL }
 };
 
 /*
